﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataChartMarkers
{
    public class BubbleDataPoint : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        private string label { get; set; }
        private double radius { get; set; }
        private double x { get; set; }
        private double y { get; set; }


        public string Label 
        {
            get => this.label;
            set
            {
                label = value;
                OnPropertyChanged("Label");
            }
        }

        public double Radius
        {
            get => this.radius;
            set
            {
                radius = value;
                OnPropertyChanged("Radius");
            }
        }

        public double X
        {
            get => this.x;
            set
            {
                x = value;
                OnPropertyChanged("X");
            }
        }

        public double Y
        {
            get => this.y;
            set
            {
                y = value;
                OnPropertyChanged("Y");
            }
        }



        protected void OnPropertyChanged(string name)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(name));
        }

    }
}
